:root {
    --primary: #245dce;
    --secundary: #2596be;
    --blude: #050c54;
    --white: #FFF;
    --black: #000000;
    --mainSource: 'Poppins', sans-serif;
}
html {
    font-size: 62.5%;
    box-sizing: border-box;
    scroll-behavior: smooth;
}
*, *:before, *:after {
    box-sizing: inherit;
}
body {
    font-family: var(--mainSource);
    font-size: 1.6rem;
    line-height: 1.8;
}
h1, h2, h3 {
    font-weight: 700;
    margin: 2rem 0;
}
h1 {
    font-size: 5rem;
}
h2 {
    font-size: 4.6rem;
}
h3 {
    font-size: 3rem;
}
a {
    text-decoration: none;
}
img {
    max-width: 100%;
    display: block;
}
[class$="__container"] {
    max-width: 120rem;
    margin: 0 auto;
    width: 90%;
}

[class$="__heading"] {
    text-align: center;
    margin-bottom: 5rem;
}

/* start of code */
.header {
    background-image: url(../img/header_bg.png);
    background-repeat: no-repeat;
    background-position: top right;
    background-size: 10rem;
    padding: 5rem 0;
}

@media (min-width: 768px) {
    .header {
        background-size: 50rem;
    }
}

@media (min-width: 992px) {
    .header {
        background-size: 60rem;
    }
}

@media (min-width: 1280px) {
    .header {
        background-size: 85rem;
    }
}

@media (min-width: 768px) {
    .header_bar {
        display: flex;
        justify-content: space-between;
    }
}

.header_logo {
    width: 15rem;
    margin: 0 auto 3rem auto;
}

@media (min-width: 768px) {
    .header_logo {
        margin: 0;
    }

    .header_grid {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 4rem;
        align-items: center;
    }
}

.header__heading {
    font-size: 2rem;
    line-height: 1.2;
    max-width: 45rem;
}

@media (min-width: 768px) {
    .header__heading {
        text-align: left;
        font-size: 3.5rem;
    }
}

@media (min-width: 1280px) {
    .header_heading {
        text-align: left;
        font-size: 5rem;
    }
}

.header_image {
    margin: 0 auto;
}

@media (min-width: 768px) {
    .header_image {
        max-width: 40rem;
    }
}

@media (min-width: 1280px) {
    .header_image {
        max-width: 50rem;
    }
}

.header_button {
    background-color: var(--primary);
    display: block;
    padding: 1rem;
    text-align: center;
    color: white;
    margin-bottom: 4rem;
    cursor: pointer;
    transition-property: background-color transform;
    transition-duration: .3s;
}

.header_button:hover {
    background-color: #1d4cb0;
}

.header_button:active {
    background-color: #183e94;
    transform: scale(0.95);
}

@media (min-width: 768px) {
    .header_button {
        padding: 1rem 3rem;
        display: inline-block;
    }
}

.navigation {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.05);
    position: sticky;
    top: 0;
    z-index: 1000;
}

@media (min-width: 768px) {
    .navigation {
        flex-direction: row;
        align-items: flex-start;
        gap: 2rem;
    }
}

.navigation_link {
    color: var(--primary);
 }

@media (min-width: 768px) {
    .navigation_link {
       color: var(--white);
    }
}

/* section us */

.main {
    margin-top: 3rem;
}

.create_grid {
    display: flex;
    flex-direction: column-reverse;
}

@media (min-width: 768px) {
    .create_grid {
        display: grid;
        grid-template-columns: 1fr 2fr;
        gap: 2rem;
        align-items: center;
    }
}

.section_image {
    max-width: 15rem;
    margin: 0 auto;
}

@media (min-width: 768px) {
    .section_image {
        max-width: 30rem;
        transition-property: transform;
        transition-duration: 30sm;
    }

    .section_image:hover {
        transform: scale(1.1);
    }
}

/* principles__values */

.values {
    background-color: var(--primary);
    padding: 10rem 0;
    position: relative;
    margin: 5rem 0;
    overflow: hidden;
}

.values::before,
.values::after {
    background-color: white;
    content: '';
    height: 20rem;
    width: 120%;
    position: absolute;
}

.values::before {
    top: -10rem;
    left: 0;
    transform: rotate(3deg);
}

.values::after {
    bottom: -10rem;
    right: 0;
    transform: rotate(3deg);
}

.values__heading {
    color: var(--white);
}

.values_grid {
    margin-bottom: 5rem;
}

@media (min-width: 768px) {
    .values_grid {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr));
        column-gap: 5rem;
        align-items: center;
    }
}

.values__text {
    color: white;
}

.values_image {
    max-width: 15rem;
    margin: 0 auto
}

@media (min-width: 768px) {
    .values_image {
        max-width: 20rem;
        transition-property: transform;
        transition-duration: .3s;
    }

    .values_image:hover {
        transform: scale(1.1);
    }
}

.values_containt {
    background-image: url(../img/fondo.png);
    background-position: center center;
    background-size: 80rem;
    background-repeat: no-repeat;
    padding: 3rem;
    border-radius: 3rem;
    text-align: center;
    z-index: 1;
    position: relative;
    gap: 5rem;
    margin-bottom: 3rem;
}

.values_containt::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.7); 
    border-radius: 3rem;
    z-index: -1;
}

@media (min-width: 768px) {    
    .values_containt {
        transition-property: transform;
        transition-duration: .3s;
    }

    .values_containt:hover {
        transform: rotate(-3deg) scale(1.1);
    }
}

.values_containt h3 {
    font-size: 2.5rem;
}

.values_containt img {
    max-width: 10rem;
    margin: 0 auto;
}

.values_containt p {
    text-overflow: ellipsis;
}

/* mision an vision */

.mission_grid {
    margin-bottom: 5rem;
}

@media (min-width: 768px) {
    .mission_grid {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        column-gap: 5rem;
        align-items: center;
    }
}

.icon {
    text-align: center;
}

.icon img {
    width: 15rem;
    margin: 0 auto;
}

/* newsletter */

.newsletter {
    margin: 15rem 0;
    background-image: linear-gradient(to top, transparent 50%, white 0%), url(../img/newsletter.png);
    background-position: bottom left;
    background-repeat: no-repeat;
}

@media (min-width: 768px) {
    .newsletter {
        background-image: linear-gradient(to right, transparent 50%, white 0%), url(../img/newsletter.png);
        background-position: center, -16rem -30rem;
        background-repeat: no-repeat;
        padding: 10rem 0;
    }
}

.newsletter__content {
    display: grid;
    grid-template-rows: repeat(2, 40rem);
    gap: 5rem;
}

@media (min-width: 768px) {
    .newsletter__content {
        grid-template-rows: unset;
        grid-template-columns: repeat(2, 1fr);
    }
}

.newsletter__text h2 {
    font-size: 3rem;
}

.newsletter__text {
    grid-row: 1 / 2;
    padding-left: 2rem;
    width: 90%;
}

@media (min-width: 768px) {
    .newsletter__text {
        grid-row: unset;
        grid-column: 2 / 3;
    }
}

.from input[type="text"]{
    width: 100%;
    padding: 1rem;
}

.from input[type="submit"]{
    width: 100%;
    padding: 2rem;
    background-color: var(--primary);
    color: white;
    text-transform: uppercase;
    font-weight: 900;
    border: none;
    margin-top: 2rem;
}

/* attentions */

.attentions {
    background-color: #3f73d8;
    padding: 4rem 0;
}

.attentions__heading {
    color: white;

}

@media (min-width: 768px) {
    .attentions__grid {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        column-gap: 5rem;
        align-items: center;
    }
}

.attentions__text {
    background-color: white;
    padding: 2rem;
    margin-bottom: 2rem;
    text-align: center;
    box-shadow: 0px 0px 15px 3px rgb(0 0 0 / .15);
    transition-property: transform;
    transition-duration: 30sm;
    border-radius: 2rem;
    border-radius: 2rem;
}

@media (min-width: 768px) {    
    .attentions__text {
        transition-property: transform;
        transition-duration: .3s;
    }

    .attentions__text:hover {
        transform: scale(1.1);
    }
}

.attentions__text p {
    margin: 0;
    line-height: 2.5rem;
    
}

.schedules {
    font-weight: 600;
    
}

.image_map {
    border-radius: 2rem;
    box-shadow: 0px 0px 15px 3px rgb(0 0 0 / .15);
    margin: 0 auto;
}

@media (min-width: 768px) {    
    .image_map {
        max-width: 40rem;
        transition-property: transform;
        transition-duration: .3s;
    }

    .image_map:hover {
        transform: scale(1.1);
    }
}

/*socials*/
.socials {
  display: flex;
  gap: 1rem;           /* space between icons */
  justify-content: center; /* optional */
  align-items: center;
}

.socials img {
  width: 82px;         /* all same size */
  height: 82px;
  object-fit: contain;
  transition: transform 0.2s ease;
}

.socials img:hover {
  transform: scale(1.1);
}



/* products */

.wave {
    margin-bottom: -1px;
}

.products {
    padding-top: 2rem;
    padding-bottom: 5rem;
    margin-top: -1px;
    margin-bottom: 5rem;
    background: linear-gradient(to bottom, #245dce, #2596be);
}

.products__list {
    display: flex;
    flex-direction: column;
}

.products__heading {
    color: white;
}

@media (min-width: 992px) {
    .products__list {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(45rem, 1fr));
        grid-template-rows: repeat(2, 35rem);
        gap: 5rem;
    }
}

.board {
    margin-bottom: 3rem;
    padding-left: 4rem;
    color: black;
    border-radius: 2rem;
    min-height: 25rem;
    display: flex;
    flex-flow: column-reverse;
    align-items: center;
    text-align: center;
    background: linear-gradient(to bottom, transparent 45%, #fff 45%);
    box-shadow: 0px 5px 0px 0px rgb(0 0 0 / .15);
}

.board h3 {
    font-size: 1.5rem;
    width: 20rem;
}

.board img {
    max-width: 15rem;
}

@media (min-width: 992px) {
    .board {
        margin-bottom: 0;
        transition-property: transform background-size;
        transition-duration: .3s;
        min-height: 35rem;
        background-size: 20rem;
    }

    .board h3 {
        font-size: 2.3rem;
        width: 30rem;
    }

    .board:hover{
        transform: scale(1.1);
        background-size: cover;
    }

    .distribution__boards img{
        max-width: 25rem;
    }

    .hardware img {
        max-width: 25rem;
    }
}


/* slider infinite */
/*
.provider__items {
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
}

.provider__item {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 2rem;
    animation: scrolling 30s linear infinite;
}

.provider__item img {
    max-width: 20rem;
    flex-shrink: 0;
}

@keyframes scrolling {
    0% {
        transform: translateX(0);
    }
    100% {
        transform: translateX(-50%);
    }
}


*/
.provider__container {
    overflow: hidden;
  }
  
  .provider__track {
    display: flex;
    animation: scroll 40s linear infinite;
    width: max-content;
  }
  
  .provider__item {
    display: flex;
    gap: 2rem;
    align-items: center;
  }
  
  .provider__item img {
    max-width: 20rem;
    flex-shrink: 0;
  }
  
  @keyframes scroll {
    from {
      transform: translateX(0);
    }
    to {
      transform: translateX(-50%);
    }
  }


/* footer */
.footer {
    background-color: var(--primary);
    color: white;
    padding: 5rem 0 0;
}

.footer__container { 
    margin-bottom: 3rem;
}

.footer__grid > .footer__widget:first-of-type {
  align-self: center;
}

@media (min-width: 768px) {
    .footer__grid {
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        column-gap: 5rem;
        
    }
}


.logo {
   max-width: 20rem;
   margin: 0 auto; 
}

.footer__widget {
    margin-bottom: 2rem;
}

@media (min-width: 768px) {
    .footer__widget {
        margin-bottom: 0;
    }
}

.footer__widget h3 {
    text-align: left;
    margin-bottom: 3rem;
    line-break: anywhere;
    font-size: 2.5rem;
}

.footer__widget nav a {
    display: block;
    color: white;
}

.footer__data {
    display: flex;
    align-items: center;
}

.footer__data p {
    margin: 0;
}

.footer__data img {
    width: 1.5rem;
    height: 1.5rem;
    margin-right: 1rem;
}

.footer__data {
  display: block;
  margin-bottom: 15px;
}

.footer__data img {
  display: block;
  margin-bottom: 5px;
}

.copyright {
    text-align: center;
    color: white;
    margin: 0 auto;
    border-top: 2px solid white;
    padding: 1rem;
    max-width: 120rem;
    font-size: 1.2rem;
    text-transform: uppercase;
}